Download it now!
Bug 45386 - Column formatting not honored saving to .doc
Summary: Column formatting not honored saving to .doc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2012-01-30 02:01 UTC by Vadim Rutkovsky
Modified: 2018-09-08 02:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadim Rutkovsky 2012-01-30 02:01:04 UTC
Original report: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080

libreoffice-writer 3.4.4-0ubuntu1 (Ubuntu Oneiric)

Steps To Reproduce:
1) Open Document:
cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

2) Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save
Column formatting scrrenshot - https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png (correct result)

Result: Column formatting is https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png

Expected Result: Column formatting doesn't change on file reopen

WORKAROUND: Save as .odt as the column formatting is preserved.
Comment 1 Christopher M. Penalver 2012-01-30 03:24:28 UTC
Reproducible in:
LibreOffice 3.5.0rc2 
Build ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 2 A (Andy) 2013-05-08 21:02:56 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 3 QA Administrators 2015-03-04 02:20:25 UTC Comment hidden (obsolete)
Comment 4 Jean-Baptiste Faure 2015-03-09 05:24:03 UTC
Not reproducible with LibreOffice 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64. Column formatting is saved and preserved when file is reopened.

Closing as WorksForMe. Please, feel free to reopen if you disagree.

Best regards. JBF
Comment 5 Christopher M. Penalver 2015-03-09 09:39:31 UTC
Jean-Baptiste Faure, thanks for testing to this. However, if one followed the Description https://bugs.documentfoundation.org/show_bug.cgi?id=45386#c0 without questioning the results, then they would not have noticed that it is written mistakenly.

It should have mirrored the downstream Description I made to clearly explain the problem:
What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save, close, reopen and the column formatting remains as in the screenshot https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png .

What happens instead is the column formatting changes back to the way it was before making the above changes. A screenshot of this https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png .

Reproducible in Utopic's LibreOffice Writer.
Comment 6 Jean-Baptiste Faure 2015-03-09 18:31:01 UTC
(In reply to Christopher M. Penalver from comment #5)
> [...]
> Reproducible in Utopic's LibreOffice Writer.

Which version it is ?

JBF
Comment 7 Christopher M. Penalver 2015-03-09 23:58:49 UTC
Jean-Baptiste Faure, thank you for the quick follow up. It's not upstream/a PPA but the one that comes by default in Utopic (4.3.3-0ubuntu1).

However, this is also reproducible in:
Windows 8.1 x64
LibreOffice 4.4.1.2
Comment 8 tommy27 2016-04-16 07:26:42 UTC Comment hidden (obsolete)
Comment 9 Justin L 2017-09-07 00:24:55 UTC
reproduced in LO6.0dev.

Likely the exporter has special code around exporting a table of contents that creates sections in order to do that.
Comment 10 QA Administrators 2018-09-08 02:41:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug